<?xml version="1.0"?>
<document>

  <properties>
    <title>Examples</title>
    <author email="tma@netspace.net.au">Tim Anderson</author>
  </properties>

  <body>
    <section name="Examples">
      <p>
        The following example demonstrates how to depoyment
        of artifact to remote repositories can be configured.
               
<source><![CDATA[
#list of repositories to which we will deploy. 
#There are 4 repositories
maven.repo.repos= R1, R2, R3, R4

#settings for repository 'R1' 
maven.repo.R1=ftp://ftp.boo.com 
maven.repo.R1.username=michal
maven.repo.R1.password=********
maven.repo.R1.directory=/web/repository

#settings for repository 'R2'
maven.repo.R2=sftp://host2.com
maven.repo.R2.username=michal
maven.repo.R2.password=*********
maven.repo.R2.port=22 
maven.repo.R2.directory=maven/repoistory
maven.repo.R2.group=Michal

#settings for repository 'R3'
maven.repo.R3=scp://host3.com
maven.repo.R3.username=michal
maven.repo.R3.directory=repo
maven.repo.R3.group=remote_group
maven.repo.R3.privatekey=/home/michal/.ssh/id_dsa

#settings for repository 'R4'
maven.repo.R4=file://c:\\temp
maven.repo.R4.directory=repository
  
]]></source>
      </p>
    </section>
  </body>
</document>
